(function($) {
    $.extend({
        debugMode: function() {
            $("#debug-mode").on("click", function() {
                var blockDisplay = $("#line-rhythm").css("display");
                if (blockDisplay == "none") {
                    $(this).text("Выключить режим Debug");
                    $("body").addClass("debug-mode");
                    $("#line-rhythm").show();
                } else if (blockDisplay == "block") {
                    $(this).text("Включить режим Debug");
                    $("body").removeClass("debug-mode");
                    $("#line-rhythm").hide();
                }
            });
        }
    });
})(jQuery);

(function($) {
    $.fn.imgSize = function() {
        var lineHeight = parseInt($("p").css("line-height")) / 2;
        this.each(function() {
            var elem = $(this), resize = elem.attr("data-noresize");
            if (resize == undefined) {
                elem.removeAttr("height");
                elem.removeAttr("width");
                var width, naturalWidth = this.naturalWidth, ratio = this.naturalWidth / this.naturalHeight, parentWidth = elem.parent().width();
                if (naturalWidth >= parentWidth) {
                    width = elem.width(parentWidth);
                    calcHeight();
                } else {
                    width = elem.width(naturalWidth);
                    calcHeight();
                }
                function calcHeight() {
                    var height = width / ratio;
                    var div = Math.floor(height / lineHeight);
                    var newHeight = lineHeight * div;
                    elem.css("height", newHeight);
                }
            }
        });
    };
})(jQuery);

$(function() {
    var lineHeight = parseInt($("input").css("height"));
    $("select").each(function() {
        var elem = $(this);
        elem.css("height", lineHeight);
    });
});

$(function() {
    $("img").imgSize();
    $.debugMode();
    $(window).resize(function() {
        $("img").imgSize();
    });
});